;MISh v1.0 extended ROM_CALL() tester
;just follow the code to see if the ROM_CALLs areworking


#include "ti-85.h"
#include "mish10.h"

.org 0
MenuTitle:
.db	"MISh ROM_CALL test",0

Start:
	ld A,2
	ld (SCROLL_START),A
	ld A,6
	ld (SCROLL_END),A

	ROM_CALL(GRAPH2LCD)	;1

	CALL_(Pause)

	ld HL,$0004

	ld (CURSOR_ROW),HL

	ROM_CALL(CLEAR_LINE)	;2

	CALL_(Pause)

	ROM_CALL(CLR_WINDOW)	;3

	ld A,1

	ROM_CALL(D_MEMU)	;4

	CALL_(Pause)

	ROM_CALL(C2TOP)		;5

	ld HL,TestStr
	ld DE,(PROGRAM_ADDR)
	add HL,DE

	push HL
	ROM_CALL(D_ZT_STR)
	pop HL

	ROM_CALL(D_HEADING)	;6

	CALL_(Pause)

	ld A,$67
	ld (TEXT_MEM),A

	ROM_CALL(SAVE_TEXT)	;7

	ld A,(TEXT_MEM2)
	cp $67
	jr NZ,No

	xor A
	ld (SCROLL_START),A
	ROM_CALL(SAVE_PRINT)	;8
	ld A,($8B2F)
	or A
	jr Z,Pause

No:
	ld HL,Nope
	ld DE,(PROGRAM_ADDR)
	add HL,DE
	ROM_CALL(D_ZT_STR)

Pause:
	ROM_CALL(KEY_HANDLER)	;9
	or A
	jr Z,Pause
	ret

TestStr:
.db	"String",0

Nope:
.db	"Nope!",0

.end


